@import url('https://fonts.googleapis.com/css2?family=Lobster&display=swap');

*{
    margin: 0;
    padding: 0;
    
    
}

html{
    scroll-behavior: smooth;
 
}


body{
    font-family: 'Poppins', Helvetica, sans-serif ;
    color: #2b2b2b;
    background-color: #ffffff;
 
}


.flex{
  display: flex;
  justify-content: center;

}



.change-mode{
  background-image: url(img/moon-icon.png);
  background-size: cover; 
  width: 40px;
  height: 40px;
  background-color: rgb(151, 151, 151);
  border-radius: 50%;
  padding: 5px;
  border: 1.5px solid #1d1d1d;
  animation: 1000ms;
  margin-left: 83%;
  margin-top: 5px;
  
}

.change-mode-dark{
    background-image: url(img/sun-icon.png);
    background-size: cover; 
    width: 40px;
    height: 40px;
    background-color: rgb(151, 151, 151);
    border-radius: 50%;
    padding: 5px;
    border: 1.5px solid #1d1d1d;
    animation: 1000ms;
    margin-left: 83%;
    margin-top: 5px;
    
  }



#change-mode:hover{
  cursor: pointer;
  transform:  translateY(-1px);
  box-shadow: 2px 2px 6px #1d1d1d;

}

.main-img{
    background-attachment: fixed;
    background-image: url(img/Mattis_Kitesurf.jpg); 
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    height: 100vh;
    max-width: 100%;
    overflow: hidden;

    
}


.content{
    text-align: left;
    width: 70%;
    background-color: #ddd;
    border-radius: 5px;
    margin-top: 50px;
    margin-left: auto;
    margin-right: auto;
    margin-bottom: 50px;
    padding: 20px;
}


.dark-content{
  background-color: #3d3d3d;
  color: #ddd;
}

.dark-button{
    color: #ddd;
    background-color: #1d1d1d;
}

.dark-button a:hover{
    color: #1d1d1d;
    background-color: #ddd;
}


#top-btn{
    position:  fixed;
    bottom: 0;
    right: 0;
    margin: 10px;
    font-size: 10px;
    border-radius: 5px;
    width: 30px;
    height: 30px;
    text-transform: uppercase;
    text-align: center;
    font-family: sans-serif;
    font-weight: lighter;
    background-color: #1d1d1d;

}

#top-btn:hover{
    transform: translate(0, -2px);
    background-color: #ddd;
    color: #1d1d1d;
}

.main-img h1{
    color:#ddd;
    font-size: 80px;
    padding: 10px;
    padding-right: 42px;
    font-weight: lighter;
    font-family: 'Lobster', sans-serif;
    top: 30%;
    position: absolute;
    animation: h1 1250ms ease-in;

    
    
}

@keyframes h1{
    0%{
        opacity: 0;
        transform: translate( 0, -100px);
    }
    100%{
        opacity: 1;
        transform: translate(0, 0px);

    }
    
}
.main-img p{
    color: #ddd;

    font-size: 20px;
    top: 45%;
    left:0;
    width: fit-content;
    padding: 20px;
    position: absolute;
    animation: ich-p 1250ms ease-in;
    font-weight: bold;
    margin-left: 15px;
    animation: ich-p 1250ms ease-in
    
}

@keyframes ich-p{
    0%{
        opacity: 0;
        transform: translate(200px);
    }
    100%{
        opacity: 1;
        transform: translate(0, 0px);

    }
    
}

.h3{
    margin-top: 10px;
    padding: 15px;
    text-transform: uppercase;
    text-align: center;
    font-size: 24px ;
}




hr{
    border-top: 1px thin #2b2b2b;
    margin-top: 50px;
    

  
}


  @media only screen and (max-width: 800px) {
    #subtitle {
      display: none;
    }
    .links{
       
        height: 100vh;
    }
    .skills-goals{
        display: block;
        margin-left: 5px;
        margin-right: 20px;
        
    }
    
  }

  